package com.aucma.dms.service;

import com.aucma.dms.domain.DmsRecordAlarmInfo;

import java.util.List;

/**
 * 设备报警记录Service接口
 *
 * @author Yinq
 * @date 2024-08-13
 */
public interface IDmsRecordAlarmInfoService {
    /**
     * 查询设备报警记录
     *
     * @param alarmId 设备报警记录主键
     * @return 设备报警记录
     */
    public DmsRecordAlarmInfo selectDmsRecordAlarmInfoByAlarmId(Long alarmId);

    /**
     * 查询设备报警记录列表
     *
     * @param dmsRecordAlarmInfo 设备报警记录
     * @return 设备报警记录集合
     */
    public List<DmsRecordAlarmInfo> selectDmsRecordAlarmInfoList(DmsRecordAlarmInfo dmsRecordAlarmInfo);

    /**
     * 新增设备报警记录
     *
     * @param dmsRecordAlarmInfo 设备报警记录
     * @return 结果
     */
    public int insertDmsRecordAlarmInfo(DmsRecordAlarmInfo dmsRecordAlarmInfo);

    /**
     * 修改设备报警记录
     *
     * @param dmsRecordAlarmInfo 设备报警记录
     * @return 结果
     */
    public int updateDmsRecordAlarmInfo(DmsRecordAlarmInfo dmsRecordAlarmInfo);

    /**
     * 批量删除设备报警记录
     *
     * @param alarmIds 需要删除的设备报警记录主键集合
     * @return 结果
     */
    public int deleteDmsRecordAlarmInfoByAlarmIds(Long[] alarmIds);

    /**
     * 删除设备报警记录信息
     *
     * @param alarmId 设备报警记录主键
     * @return 结果
     */
    public int deleteDmsRecordAlarmInfoByAlarmId(Long alarmId);

    /**
     * 设备报警人工处理
     * @param dmsRecordAlarmInfo
     * @return
     */
    public int handleDmsRecordAlarmInfo(DmsRecordAlarmInfo dmsRecordAlarmInfo);

    /**
     * 设备报警消息通知
     * @return
     */
    public int alarmNotification();

}
